Delete Landing Page Content Section¶
POST /rest/asset/v1/landingPage/{id}/content/{contentId}/delete.json
Method: POST
Path: /rest/asset/v1/landingPage/{id}/content/{contentId}/delete.json
Tag: Landing Page Content
Operation ID: removeLandingPageContentUsingPOST
Removes the target content section from the parent landing page. Required Permissions: Read-Write Assets
Formats¶
- Request:
application/x-www-form-urlencoded - Response:
application/json
Request¶
Path parameters¶
| Name | Type | Required | Description | Constraints |
|---|---|---|---|---|
id |
integer (int32) | Yes | Id of landing page | |
contentId |
string | Yes | Id of landing page content section |
Example request¶
POST {{base_url}}/rest/asset/v1/landingPage/{{id}}/content/{{contentId}}/delete.json
Accept: application/json
Responses¶
200 — OK¶
Schema: model: ResponseOfIdResponse
Generated example¶
{
"errors": [
{
"code": "string",
"message": "string"
}
],
"requestId": "123",
"result": [
{
"id": 123
}
],
"success": true,
"warnings": [
"string"
]
}
Referenced models¶
Source¶
Generated from swagger-asset.json.
Generated examples are inferred from the schema. They are illustrative and may not be valid production payloads.